org.apache.flume.conf

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.flume.FlumeException
        - - org.apache.flume.conf.ConfigurationException

- All Implemented Interfaces:
    Serializable

      public class ConfigurationException
      extends FlumeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationException(String arg0)`
    `ConfigurationException(String arg0, Throwable arg1)`
    `ConfigurationException(Throwable arg0)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException(String arg0)

    - #### ConfigurationException

          public ConfigurationException(Throwable arg0)

    - #### ConfigurationException

          public ConfigurationException(String arg0,
                                Throwable arg1)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.